Class
PhusionPassenger::FrameworkInitError

In: | lib/phusion_passenger/exceptions.rb
Parent: | InitializationError

Raised when Railz::FrameworkSpawner or Railz::SpawnManager was unable to load a version of the Ruby on Rails framework. The `child_exception` attribute is guaranteed non-nil.

Methods

- new

Attributes

[R] | vendor |
[R] | version |

Public Class methods
new(message, child_exception, options)

[ show source ]

        # File lib/phusion_passenger/exceptions.rb, line 80
    80:         def initialize(message, child_exception, options)
    81:                 super(message, child_exception)
    82:                 if options[:vendor]
    83:                         @vendor = options[:vendor]
    84:                 else
    85:                         @version = options[:version]
    86:                 end
    87:         end